<?php
include_once('includes/configuracion.php');

$abrirbd = abrirdb();

if (isset($_GET["opcion"])) {
    $pagina = $_GET["opcion"];
    if ($pagina == "comacce") { compruebacceso(); }
    elseif ($pagina == "login") { login(); }
    elseif ($pagina == "compruebalogin") { compruebalogin(); }
    elseif ($pagina == "registro") { registro(); }
    else { acceso(); }}
elseif(!(isset($_GET["opcion"])))
	{
	header('location: login_profesor.php?opcion=acceso');
	}
	
function acceso()
{
	include_once('estilo/templates/cabecera.inc');
	echo "<form action='login_profesor.php?opcion=comacce' method='post'>
	Escribe la contrase&ntilde;a que te han facilitado para acceder:<br>
	<input type='password' name='contra_acceso'>
<input type='submit' value='enviar'>
</form>";
include_once('estilo/templates/pie.inc');

}

function compruebacceso()
{
	$contrasenia=$_POST['contra_acceso'];
	$query = mysql_query("SELECT * FROM profesor");
	$extraigo = mysql_fetch_array($query);
		if($contrasenia == $extraigo['contra_acceso'])
		{
			header('location: login_profesor.php?opcion=login');
		}
		else {
			header('location: login_profesor.php?opcion=acceso');
			}
}

function login()
{
	include_once('estilo/templates/cabecera.inc');
	echo "Si aun no estas registrado puedes acerlo <a href='login_profesor.php?opcion=registro'>aqu&iacute;</a><br><br>
	<form action='login_profesor.php?opcion=compruebalogin' method='post'>
	Usuario<input type='text' name='usuario'><br>
	Contrase&ntilde;a<input type='password' name='contrasenia'><br>
	<input type='submit' value='Enviar'>
	</form>";
	include_once('estilo/templates/pie.inc');

}

function compruebalogin()
{
	$usuario=$_POST['usuario'];
	$contrasenia=md5($_POST['contrasenia']);
	$query = mysql_query("SELECT * FROM profesor");
	$extraigo = mysql_fetch_array($query);
	
	if (!isset($_SESSION['contador']))
	{
		$_SESSION['contador']=1;
	}
	
	if ($_SESSION['contador'] >= Cintentos)
	{
		echo 'No puedes entrar';
	}
else
	{
		if(($usuario == $extraigo['usuario']) && ($contrasenia == $extraigo['contrasenia']))
		{
		header('location: index_profesor.php');
		}
		else
			{
			 
					Fdenegado($usuario,$contrasenia);
					$_SESSION['contador']++;
					header('location: login_profesor.php?opcion=login');	
			}
	}		
}

function Fdenegado($usuario,$contrasenia)
{
$ip=$_SERVER['REMOTE_ADDR'];
$consulta=mysql_query("INSERT INTO denegados (usuario,contrasenia,ip,tipo) values ('".$usuario."','".$contrasenia."','".$ip."','profesor')") or die(mysql_error());

}

function registro()
{

	if(isset($_POST['registro']))
	{
		extract($_POST);
		$contrasenia = md5($contrasenia1);
		$query = mysql_query("INSERT INTO profesor 
		(usuario,contrasenia,autorizacion,nombre,apellido1 ,apellido2 ,dni ,direccion ,telefono) 
		values ('".$usuario."','".$contrasenia."',1,'".$nombre."','".$apellido1."','".$apellido2."','".$dni."','".$direccion."','".$telefono."')") 
		or die(mysql_error());
		header('location: login_profesor.php?opcion=login');
	}
	else
	{
		echo "<form action='login_profesor.php?opcion=registro' method='post'>
		<table width='50%'>
		<tr><td width='20%' style='vertical-align:top;'>Usuario:</td><td><input type='text' name='usuario' size='30' maxlength='30' /><br /><br /><br /></td></tr>
		<tr><td style='vertical-align:top;'>Contraseņa:</td><td><input type='password' name='contrasenia1' size='30' maxlength='30' /></td></tr>
		<tr><td style='vertical-align:top;'>Verificar Contraseņa:</td><td><input type='password' name='contrasenia2' size='30' maxlength='30' /><br /><br /><br /></td></tr>
		<tr><td style='vertical-align:top;'>DNI:</td><td><input type='text' name='dni' size='30' maxlength='10' /></td></tr>
		<tr><td style='vertical-align:top;'>Nombre:</td><td><input type='text' name='nombre' size='30' maxlength='30' /><br /><br /><br /></td></tr>
		<tr><td style='vertical-align:top;'>Primer apellido:</td><td><input type='text' name='apellido1' size='30' maxlength='30' /></td></tr>
		<tr><td>Segundo Apellido:</td><td><input type='text' name='apellido2' size='30' maxlength='30' /></td></tr>
		<tr><td>Direccion:</td><td><input type='text' name='direccion' size='30' maxlength='80' /></td></tr>
		<tr><td style='vertical-align:top;'>Telefono:</td><td><input type='text' name='telefono' size='30' maxlength='9' /><td></td></tr>
		<tr><td colspan='2'><input type='submit' name='registro' value='Enviar' /> <input type='reset' name='reset' value='Borrar' /></td></tr>
		</table>
		</form>";
	}
}





?>